API reference · Genres

List genres

GET/api/v1/genres

Every genre on Roblox now: players, its share of everyone playing, the change on a day ago, how many games, its subgenres and its biggest games.

Parameters

This endpoint has no parameters.

Example

curl https://roterminal.co/api/v1/genres \
  -H "Authorization: Bearer $ROTERMINAL_API_KEY"

Response

Response
{
  "data": {
    "as_of": "2026-10-24T03:39:00-04:00",
    "playing_in_tracked_games": 10810524,
    "genres": [
      {
        "name": "Simulation",
        "playing_now": 4312079,
        "share_of_players": 39.9,
        "change_24h": 33.7,
        "games": 241,
        "link": "https://roterminal.co/genres/simulation",
        "subgenres": [
          {
            "name": "Tycoon",
            "playing_now": 2664732,
            "change_24h": 32.1
          },
          {
            "name": "Incremental Simulator",
            "playing_now": 935408,
            "change_24h": 24.7
          },
          {
            "name": "Vehicle Sim",
            "playing_now": 293023,
            "change_24h": 52.6
          },
          …
        ],
        "biggest": [
          {
            "id": 10563114921,
            "name": "Steal An Egg",
            "playing_now": 1481227,
            "link": "https://roterminal.co/g/10563114921"
          },
          {
            "id": 7709344486,
            "name": "Steal a Brainrot",
            "playing_now": 157965,
            "link": "https://roterminal.co/g/7709344486"
          },
          {
            "id": 10765288803,
            "name": "Break and Steal an Egg",
            "playing_now": 120406,
            "link": "https://roterminal.co/g/10765288803"
          }
        ]
      },
      {
        "name": "Survival",
        "playing_now": 2633511,
        "share_of_players": 24.4,
        "change_24h": 65.9,
        "games": 74,
        "link": "https://roterminal.co/genres/survival",
        "subgenres": [
          {
            "name": "1 vs All",
            "playing_now": 1556076,
            "change_24h": 77.1
          },
          {
            "name": "Survival",
            "playing_now": 761308,
            "change_24h": 52.3
          },
          {
            "name": "Escape",
            "playing_now": 316127,
            "change_24h": 51.2
          }
        ],
        "biggest": [
          {
            "id": 66654135,
            "name": "Murder Mystery 2",
            "playing_now": 1326480,
            "link": "https://roterminal.co/g/66654135"
          },
          {
            "id": 7326934954,
            "name": "99 Nights in the Forest",
            "playing_now": 252426,
            "link": "https://roterminal.co/g/7326934954"
          },
          {
            "id": 5569032992,
            "name": "Dandy's World",
            "playing_now": 116512,
            "link": "https://roterminal.co/g/5569032992"
          }
        ]
      },
      {
        "name": "Roleplay & Avatar Sim",
        "playing_now": 1087515,
        "share_of_players": 10.1,
        "change_24h": 65.6,
        "games": 43,
        "link": "https://roterminal.co/genres/roleplay-avatar-sim",
        "subgenres": [
          {
            "name": "Life",
            "playing_now": 675247,
            "change_24h": 80.5
          },
          {
            "name": "Pet Care",
            "playing_now": 203234,
            "change_24h": 35.6
          },
          {
            "name": "Dress Up",
            "playing_now": 122849,
            "change_24h": 51.3
          },
          …
        ],
        "biggest": [
          {
            "id": 1686885941,
            "name": "Brookhaven RP",
            "playing_now": 451766,
            "link": "https://roterminal.co/g/1686885941"
          },
          {
            "id": 383310974,
            "name": "Adopt Me!",
            "playing_now": 199250,
            "link": "https://roterminal.co/g/383310974"
          },
          {
            "id": 5203828273,
            "name": "Dress To Impress",
            "playing_now": 72669,
            "link": "https://roterminal.co/g/5203828273"
          }
        ]
      },
      …
    ]
  },
  "link": "https://roterminal.co/games?view=genres",
  "as_of": "2026-10-24T03:39:00-04:00"
}

Fields

The fields in data. A field with nothing to say is left out.

as_ofdate-time
When these numbers were read (New York time, ISO 8601).
playing_in_tracked_gamesinteger
Everyone playing the games RoTerminal tracks right now.
genreslist of object
Every genre, the most played first.
8 fields
namestring
Its name, as Roblox shows it.
playing_nowinteger
Players in it right now.
share_of_playersnumber
Its share of everyone playing the games RoTerminal tracks, in percent.
change_24hnumber
Players now against the same time a day ago, in percent.
gamesinteger
How many live games it has.
linkuri
Its page on roterminal.co.
subgenreslist of object
Its subgenres, the most played first.
3 fields
namestring
Its name, as Roblox shows it.
playing_nowinteger
Players in it right now.
change_24hnumber
Players now against the same time a day ago, in percent.
biggestlist of object
Its most played games right now.
4 fields
idinteger
The game’s universe ID on Roblox.
namestring
Its name, as Roblox shows it.
playing_nowinteger
Players in it right now.
linkuri
Its page on roterminal.co.